<?php

namespace App\Services\PTW;

use App\Http\Resources\PTW\PtwMstContractorResource;
use App\Models\PtwMstContractor;
use Illuminate\Support\Facades\App;
use Illuminate\Http\Request;

class PtwMstContractorServices extends PtwMstContractorResource
{
    public $vvsPtwContModel;
    public function __construct(){
        $this->vvsPtwContModel = new PtwMstContractor();
    }
    
    public function getPtwContList($rawRequest){
        return PtwMstContractor::where('IS_DELETED', 0)->where("IS_ACTIVE", 1)
                ->where("SITE_ID", $rawRequest->SITE_ID)->get();
    }
    
}
